#local tRound = 0.15;

#declare Floor1 =
union {
	superellipsoid {<tRound,tRound> scale <2,1,1> translate <1,0,0>}
	superellipsoid {<tRound,tRound> scale <1,1,2> translate <4,0,1>}
	superellipsoid {<tRound,tRound> translate <6,0,0>}
	superellipsoid {<tRound,tRound> translate <0,0,2>}
	superellipsoid {<tRound,tRound> scale <1,1,2> translate <2,0,3>}
	superellipsoid {<tRound,tRound> scale <1,1,2> translate <6,0,3>}
	superellipsoid {<tRound,tRound> scale <1,1,2> translate <0,0,5>}
	superellipsoid {<tRound,tRound> translate <4,0,4>}
	superellipsoid {<tRound,tRound> scale <3,1,1> translate <4,0,6>}
	scale 2
	}

#local flzCoord = 35;
#local flxCoord = 50;
#local flyCoord = 8;
#local flzScale = seed(342540);
#local oldflzScale = 1;

union {
#while (flzCoord < 40*7)
	object {Floor1 translate <68-6,-1.9,flzCoord>}
	object {Floor1 translate <84-6,-1.9,flzCoord+2>}
	object {Floor1 translate <100-6,-1.9,flzCoord>}
	#local flzCoord = flzCoord + 16;
#end
	texture {
	gradient <1,0,0>
	texture_map {
		[0 vDarkStone scale <1/50,1,1> normal {granite 0.1 scale <5/50,1,1> }]
		[0.5 cCleary]
			}
		scale <50,1,1>
		translate <65,0,0>
		}
	}


union {
#while(flyCoord > 0)
#local flzOff = 35;
#while(flzOff < 200)
	#local oldflzScale = rand(flzScale)*6;
	superellipsoid {<tRound,tRound> scale <1,1,oldflzScale> translate <flxCoord+1,flyCoord-1,flzOff+oldflzScale>}
	box {<flxCoord,flyCoord-0.1,35>,<flxCoord+1.9,flyCoord-1,200> texture { LightStone }}
	#local flzOff = flzOff + (oldflzScale*2);
#end
	#local flxCoord = flxCoord + 2;
	#local flyCoord = flyCoord - 1;
#end
	texture { vDarkStone normal {granite 0.1 scale 5 }}
	}

	box {<50,0,31>,<200,-1,300>
	texture {
	gradient <1,0,0>
	texture_map {
		[0 LightStone scale <1/50,1,1>]
		[0.5 cCleary]
			}
		scale <50,1,1>
		translate <65,0,0>
		}
	}


//////////// stonework around pool

#local mmlzCoord = 52;
#local mmlxCoord = -312;
union {
#while (mmlzCoord < 350)
	object { Floor1 translate <-312,6.1,mmlzCoord>}
	object { Floor1 translate <-104,6.1,mmlzCoord>}
	#local mmlzCoord = mmlzCoord + 16;
#end

#while (mmlxCoord < -100)
	object { Floor1 translate <mmlxCoord,6.1,52-16>}
	object { Floor1 translate <mmlxCoord,6.1,352>}
	#local mmlxCoord = mmlxCoord + 16;
#end
	texture { vDarkStone }
	}
